aboutsummaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
Diffstat (limited to 'python')
-rw-r--r--python/.gitignore2
-rwxr-xr-xpython/build_tarball.sh8
2 files changed, 10 insertions, 0 deletions
diff --git a/python/.gitignore b/python/.gitignore
index 48b921f1..e11492e6 100644
--- a/python/.gitignore
+++ b/python/.gitignore
@@ -5,6 +5,8 @@ build/
dist/
*.egg-info
*.json.gz
+fatcat-*.tar.gz
+
!example.env
!.coveragerc
!.pylintrc
diff --git a/python/build_tarball.sh b/python/build_tarball.sh
new file mode 100755
index 00000000..5c7f1944
--- /dev/null
+++ b/python/build_tarball.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -e -u -o pipefail
+
+PIPENV_VENV_IN_PROJECT=true pipenv install --dev --deploy
+
+rm -f fatcat-python.tar.gz
+tar czf fatcat-python.tar.gz .venv *.py fatcat_tools fatcat_web Pipfile* *.ini README*